#ifndef _LHEFCONVERTER_H_
#define _LHEFCONVERTER_H_

/*
  ---- Delphes ----
  A Fast Simulator for general purpose LHC detector
  S. Ovyn ~~~~ severine.ovyn@uclouvain.be
  
  Center for Particle Physics and Phenomenology (CP3)
  Universite Catholique de Louvain (UCL)
  Louvain-la-Neuve, Belgium
*/

/// \file LHEFConverter
/// \brief LHEFConverter class, and some generic definitions

#include <string>

#include "ExRootTreeBranch.h"
#include "LHEF.h"
#include "DataConverter.h"


using namespace std;

class LHEFConverter : public DataConverter
{
public:

  LHEFConverter(const string& inputFileList, const string& outputFileName);
  ~LHEFConverter();

private:
  void AnalyseEvent(LHEF::Reader *reader, ExRootTreeBranch *branch, const Long64_t eventNumber);
  void AnalyseParticles(LHEF::Reader *reader, ExRootTreeBranch *branch);

};

#endif
